[android-components](../../../../index.md) / [mozilla.components.browser.icons.loader](../../../index.md) / [IconLoader](../../index.md) / [Result](../index.md) / [BytesResult](./index.md)

# BytesResult

`class BytesResult : `[`Result`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/icons/src/main/java/mozilla/components/browser/icons/loader/IconLoader.kt#L29)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `BytesResult(bytes: `[`ByteArray`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html)`, source: `[`Source`](../../../../mozilla.components.browser.icons/-icon/-source/index.md)`)` |

### Properties

| Name | Summary |
|---|---|
| [bytes](bytes.md) | `val bytes: `[`ByteArray`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html) |
| [source](source.md) | `val source: `[`Source`](../../../../mozilla.components.browser.icons/-icon/-source/index.md) |
